#
# This is an example action which takes filenames from a Query
# Results column and runs them through "mypgm" in this directory.
# The user is asked to confirm the operation with Tku_Confirm
# and each file being processed is logged in the PGBrowse Log window
#
# $Header: /nfs/home/olive.s2k/src/base/local/tk/pgb3.0/actions/Examples/script/RCS/pgb.tcl,v 1.1 1993/12/06 18:33:40 jimbo Exp $
#

set Name "Process Files"
set Help "Run each file through mypgm"

proc Action {dir} {
	    if ![file exists $dir/mypgm] {
		Tku_ErrorBox "mypgm is not in the action directory: $dir"
		return
	    }
	    if {[set col [ActionColNum filename]] == -1} return
	    if ![Tku_Confirm "Run files through mypgm?"] return
	    foreach file [ActionGetCol $col] {
		Log "Processing mypgm on $file"  "Action: mypgm"
		puts stdout [exec $dir/mypgm $file]
	    }
}
